##### basic_readable_pipe::basic_readable_pipe (4 of 6 overloads)

Construct a `basic_readable_pipe` on an existing native pipe.

    template<
        typename ExecutionContext>
    basic_readable_pipe(
        ExecutionContext & context,
        const native_handle_type & native_pipe,
        typename constraint< is_convertible< ExecutionContext &, execution_context & >::value >::type  = 0);

This constructor creates a pipe object to hold an existing native pipe.

###### Parameters

context

  An execution context which provides the I/O executor that the pipe will use, by default, to dispatch handlers for any asynchronous operations performed on the pipe.

native_pipe

  A native pipe.

###### Exceptions

asio::system_error

  Thrown on failure.